package com.ywt.outpatient.domain.entity.center;


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "department")
public class Department {
    @Id
    private Integer id;

    /**
     * 医院id
     */
    @Column(name = "hospital_id", nullable = false)
    private Integer hospitalId;

    /**
     * 编码
     */
    @Column(nullable = false)
    private String code;

    /**
     * 名称
     */
    @Column(nullable = false)
    private String name;

    /**
     * 名称拼音首字母
     */
    @Column(name = "name_first_letter", nullable = false)
    private String nameFirstLetter;

    /**
     * 上级id
     */
    @Column(name = "parent_id", nullable = false)
    private int parentId;

    /**
     * 科室简介
     */
    @Column(name = "brief_intro")
    private String briefIntro;

    /**
     * 科室级别
     */
    private Integer depth;

    /**
     * 树编码（eg. 210|33|112）
     */
    @Column(name = "tree_code")
    private String treeCode;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 权重，数字越大，排序越靠前
     */
    private Integer weight;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 修改时间
     */
    @Column(name = "update_time", nullable = false)
    private Date updateTime;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "is_deleted", nullable = false)
    private boolean isDeleted;

//    /**
//     * 医达大数对应的科室Code
//     */
//    @Column(name = "yida_code")
//    private String yidaCode;

    /**
     * 下级医院ID
     */
    @Column(name = "sub_hospital_id")
    private Integer subHospitalId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNameFirstLetter() {
        return nameFirstLetter;
    }

    public void setNameFirstLetter(String nameFirstLetter) {
        this.nameFirstLetter = nameFirstLetter;
    }

    public int getParentId() {
        return parentId;
    }

    public void setParentId(int parentId) {
        this.parentId = parentId;
    }

    public String getBriefIntro() {
        return briefIntro;
    }

    public void setBriefIntro(String briefIntro) {
        this.briefIntro = briefIntro;
    }

    public Integer getDepth() {
        return depth;
    }

    public void setDepth(Integer depth) {
        this.depth = depth;
    }

    public String getTreeCode() {
        return treeCode;
    }

    public void setTreeCode(String treeCode) {
        this.treeCode = treeCode;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public boolean isDeleted() {
        return isDeleted;
    }

    public void setDeleted(boolean deleted) {
        isDeleted = deleted;
    }

//    public String getYiDaCode() {
//        return yidaCode;
//    }

//    public void setYiDaCode(String yiDaCode) {
//        this.yidaCode = yiDaCode;
//    }


    public Integer getSubHospitalId() {
        return subHospitalId;
    }

    public void setSubHospitalId(Integer subHospitalId) {
        this.subHospitalId = subHospitalId;
    }
}
